/**
 * Created by zhy on 2017/4/1.
 */
'use strict'

/**
 * mavonEditor
 * @author hinesboy
 */
 const markdownItVue = require('./plugins/markdown-it-vue').default

const mavonEditor = require('./mavon-editor.vue')
const VueMavonEditor = {
  markdownIt: mavonEditor.mixins[0].data().markdownIt,
  mavonEditor: mavonEditor,
  LeftToolbar: require('./components/md-toolbar-left'),
  RightToolbar: require('./components/md-toolbar-right'),
  install: function (Vue) {
    Vue.prototype.$vueBlocks = {}
    this.markdownIt.use(markdownItVue, Vue)
    Vue.component('mavon-editor', mavonEditor)
  }
}

module.exports = VueMavonEditor
